Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Macros | Typedefs | Functions
Context.h File Reference
`#include <assert.h>`
`#include <stddef.h>`
`#include <ucontext.h>`

Go to the source code of this file.

## Data Structures
struct | coroutine_context

## Macros
#define | COROUTINE __attribute__((noreturn)) void
#define | COROUTINE_LIMITED_ADDRESS_SPACE

## Typedefs
typedef COROUTINE(* | coroutine_start) (struct coroutine_context *from, struct coroutine_context *self)

## Functions
COROUTINE | coroutine_trampoline (void *_start, void *_context)

## Macro Definition Documentation

## ◆ COROUTINE

#define COROUTINE __attribute__((noreturn)) void

Definition at line 14 of file Context.h.

## ◆ COROUTINE_LIMITED_ADDRESS_SPACE

#define COROUTINE_LIMITED_ADDRESS_SPACE

Definition at line 17 of file Context.h.

## Typedef Documentation

## ◆ coroutine_start

typedef COROUTINE(* coroutine_start) (struct coroutine_context *from, struct coroutine_context *self)

Definition at line 26 of file Context.h.

## Function Documentation

## ◆ coroutine_trampoline()

COROUTINE coroutine_trampoline | ( | void * | _start,
|  | void * | _context
| ) |  |

Definition at line 16 of file Context.c.

References coroutine_context::from.